/*
 * @Author: wufan
 * @Date: 2020-11-25 18:25:02
 * @LastEditors: zhangleyuan
 * @LastEditTime: 2020-12-16 16:15:15
 * @Description: Description
 * @@Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */
import { fetchLecturerData, fetchUserData, exportStudentCourseData,exportPlayBackCourseData, fetchPlaybackList,createLiveCloudCourse,getLiveCloudCoursePage,getLiveCloudCourseDetail,updateLiveCloudCourse,turnOnOrOffLiveCloudCourse,delLiveCloudCourse} from '@/data-source/course/request-api';

export default class courseService {
  // 获取讲师上课数据 
  static fetchLecturerData(params: any) {
    return fetchLecturerData(params);
  }

  // 获取用户上课数据
  static fetchUserData(params: any) {
    return fetchUserData(params);
  }
  static createLiveCloudCourse(params: any) {
    return createLiveCloudCourse(params);
  }
  static getLiveCloudCoursePage(params: any) {
    return getLiveCloudCoursePage(params);
  }
 
  // 导出学生上课数据
  static exportStudentCourseData(params: any) {
    return exportStudentCourseData(params);
  }

  // 导出回放数据
  static exportPlayBackCourseData(params: any) {
    return exportPlayBackCourseData(params);
  }

  // 获取回放数据
  static fetchPlaybackList(params: any) {
    return fetchPlaybackList(params);
  }
 
  static getLiveCloudCourseDetail(params: any) {
    return getLiveCloudCourseDetail(params);
  }
  static updateLiveCloudCourse(params: any) {
    return updateLiveCloudCourse(params);
  }
  static turnOnOrOffLiveCloudCourse(params: any) {
    return turnOnOrOffLiveCloudCourse(params);
  }
  static delLiveCloudCourse(params: any) {
    return delLiveCloudCourse(params);
  }
}